Update a wallet
Update properties of an existing wallet such as name, description, status, or metadata.
Read our Moov wallets guide to learn more.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/wallets.write scope.
PATCH
/accounts/{accountID}/wallets/{walletID}
curl -X PATCH "https://api.moov.io/accounts/{accountID}/wallets/{walletID}" \
-H "Authorization: Bearer {token}" \
-d '{
"name": "My new wallet"
}'
mc, _ := moov.NewClient()
accountID := "{uuid}" // account ID of the wallet owner
walletID := "{uuid}" // wallet ID of the wallet to update
newName := "My new wallet"
update := moov.UpdateWallet{
Name: &newName,
}
mc.UpdateWallet(ctx, accountID, walletID, update)
import { SDK } from "openapi";
const sdk = new SDK({
xMoovVersion: "v2024.01.00",
});
async function run() {
const result = await sdk.wallets.update({
walletID: "9f1c6e07-aae8-40e6-b290-502bb1bc486e",
accountID: "e4aad2fb-201d-4390-b4d3-6de7716152e1",
patchWallet: {
name: "My second wallet",
description: "My new description",
metadata: {
"optional": "metadata",
},
},
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use OpenAPI\OpenAPI;
use OpenAPI\OpenAPI\Models\Components;
$sdk = OpenAPI\SDK::builder()
->setXMoovVersion('v2024.01.00')
->build();
$patchWallet = new Components\PatchWallet(
name: 'My second wallet',
description: 'My new description',
metadata: [
'optional' => 'metadata',
],
);
$response = $sdk->wallets->update(
walletID: '9f1c6e07-aae8-40e6-b290-502bb1bc486e',
accountID: 'e4aad2fb-201d-4390-b4d3-6de7716152e1',
patchWallet: $patchWallet
);
if ($response->wallet !== null) {
// handle response
}from openapi import SDK
with SDK(
x_moov_version="v2024.01.00",
) as sdk:
res = sdk.wallets.update(wallet_id="9f1c6e07-aae8-40e6-b290-502bb1bc486e", account_id="e4aad2fb-201d-4390-b4d3-6de7716152e1", name="My second wallet", description="My new description", metadata={
"optional": "metadata",
})
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import java.util.Map;
import org.openapis.openapi.SDK;
import org.openapis.openapi.models.components.PatchWallet;
import org.openapis.openapi.models.errors.GenericError;
import org.openapis.openapi.models.errors.PatchWalletValidationError;
import org.openapis.openapi.models.operations.UpdateWalletResponse;
public class Application {
public static void main(String[] args) throws GenericError, PatchWalletValidationError, Exception {
SDK sdk = SDK.builder()
.xMoovVersion("v2024.01.00")
.build();
UpdateWalletResponse res = sdk.wallets().update()
.walletID("9f1c6e07-aae8-40e6-b290-502bb1bc486e")
.accountID("e4aad2fb-201d-4390-b4d3-6de7716152e1")
.patchWallet(PatchWallet.builder()
.name("My second wallet")
.description("My new description")
.metadata(Map.ofEntries(
Map.entry("optional", "metadata")))
.build())
.call();
if (res.wallet().isPresent()) {
// handle response
}
}
}require 'openapi'
Models = ::OpenApiSDK::Models
s = ::OpenApiSDK::SDK.new(
x_moov_version: 'v2024.01.00',
)
res = s.wallets.update(wallet_id: '9f1c6e07-aae8-40e6-b290-502bb1bc486e', account_id: 'e4aad2fb-201d-4390-b4d3-6de7716152e1', patch_wallet: Models::Components::PatchWallet.new(
name: 'My second wallet',
description: 'My new description',
metadata: {
"optional": 'metadata',
},
))
unless res.wallet.nil?
# handle response
endThe request completed successfully.
A Moov wallet to store funds for transfers.
{
"walletID": "string",
"availableBalance": {
"currency": "USD",
"value": 1204,
"valueDecimal": "string"
},
"partnerAccountID": "string",
"name": "string",
"status": "active",
"walletType": "default",
"description": "string",
"metadata": {
"optional": "metadata"
},
"createdOn": "2019-08-24T14:15:22Z",
"closedOn": "2019-08-24T14:15:22Z"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.
{
"name": "string",
"status": "string",
"description": "string",
"metadata": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
walletID
string
required
Identifier for the wallet.
accountID
string
required
The Moov account ID the wallet belongs to.
Body
application/json
description
string
metadata
object
Free-form key-value pair list. Useful for storing information that is not captured elsewhere.
name
string
status
string<enum>
Status of a wallet.
active: The wallet is available for use and has an enabled payment method.closed: The wallet is no longer active and the corresponding payment method has been disabled.
Possible values:
active,
closed
Response
availableBalance
object
required
Show child attributes
currency
string
required
Pattern
A 3-letter ISO 4217 currency code.
value
integer<int64>
required
Quantity in the smallest unit of the specified currency.
In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.
valueDecimal
string
required
Pattern
createdOn
string<date-time>
required
description
string
required
Description of the wallet
name
string
required
Name of the wallet
partnerAccountID
string
required
status
string<enum>
required
Status of a wallet.
active: The wallet is available for use and has an enabled payment method.closed: The wallet is no longer active and the corresponding payment method has been disabled.
Possible values:
active,
closed
walletID
string
required
walletType
string<enum>
required
Type of a wallet.
default: The system-generated wallet automatically created when an account is granted the wallet capability.general: An additional, user-defined wallet created via API or Dashboard.
Possible values:
default,
general
closedOn
string<date-time>
metadata
object
Free-form key-value pair list. Useful for storing information that is not captured elsewhere.